Skip to content
New issue

Have a question about this project? Sign up for a free GitHub account to open an issue and contact its maintainers and the community.

By clicking “Sign up for GitHub”, you agree to our terms of service and privacy statement. We’ll occasionally send you account related emails.

Already on GitHub? Sign in to your account

CMake: support specifying the target Windows version #4815

Closed
wants to merge 1 commit into from

Conversation

@MarcelRaad
Copy link
Member

@MarcelRaad MarcelRaad commented Jan 14, 2020

Previously, it was only possible to set it to Windows Vista or XP by
setting the option ENABLE_INET_PTON to ON resp. OFF.
Use a new cache variable CURL_TARGET_WINDOWS_VERSION to be able to
explicitly set the target Windows version. ENABLE_INET_PTON is
ignored in this case.

Ref: #1639 (comment)
Ref: #4607 (comment)

Previously, it was only possible to set it to Windows Vista or XP by
setting the option `ENABLE_INET_PTON` to `ON` resp. `OFF`.
Use a new cache variable `CURL_TARGET_WINDOWS_VERSION` to be able to
explicitly set the target Windows version. `ENABLE_INET_PTON` is
ignored in this case.

Ref: #1639 (comment)
Ref: #4607 (comment)
Closes
@bagder
Copy link
Member

@bagder bagder commented Jan 20, 2020

Not a cmake person, but this seems entirely reasonable!

@MarcelRaad MarcelRaad deleted the MarcelRaad:cmake_winver branch Jan 20, 2020
@lock lock bot locked as resolved and limited conversation to collaborators Apr 19, 2020
Sign up for free to subscribe to this conversation on GitHub. Already have an account? Sign in.
Projects
None yet
Linked issues

Successfully merging this pull request may close these issues.

None yet

3 participants
You can’t perform that action at this time.